Sign in to follow this  
verleihnix

Btsync Api 1.4 Vs Api 2.0

Recommended Posts

Hi there,

 

On https://www.getsync.com/api it states the following:

 

==== SNIP ====

 

Note: Sync Secrets are now referred to as Keys; however, method calls in the API remain the same and are referred to as ‘Secrets’. Please see ‘Get Secrets’ for documentation on how to use Secrets in the API. Method calls referencing 'Secrets' will only work with 1.4 folders, not 2.0 folders.

 

==== SNAP ====

 

This raises many question to me.

 

1. If I have a Server running 1.4 and use the Sync API to create Folders, will a Version 2.0 client be able to connect to it?

 

2. Can i have a version 2.0 server, what kind of API is supported there, and if can 1.4 clients can access those shares?

 

3. Are 1.4 and 2.0 cleints able to talk with eachother at all?

 

I have read that 2.0 uses a PKI infrastructure, so probably 2.0 type folders cannot be access by 1.4 clients. But maybe there is a way to create type 1.4 folder within the 2.0 version.

 

- verleihnix

Share this post


Link to post
Share on other sites

Wow, this message has not been replied for one month. It appears that BitTorrent dropped the Sync API. I say that because:

1. there seems to be nobody interested in providing support for it.

2. the API is messed up and the documentation is messed up.

 

The documentation section "Get Folder" should be named "Get Folder(s)" because it took me a while to find the part that explains how you get a list of folders. The example server output of the API method is messed up. Version 2.0 no longer provides a "secret" but a "share_id". I still didn't figure out what the hell is that and what do I do with it :)

And damn this app is confusing. I have version 2.0 on two computers and when I add a folder, it appears as 1.4 type of folder.

Share this post


Link to post
Share on other sites

@verleihnix

1. If I have a Server running 1.4 and use the Sync API to create Folders, will a Version 2.0 client be able to connect to it?

Yes, if 1.4 Sync version is 1.4.110 and newer. Older version may not work well with 2.0.

 

2. Can i have a version 2.0 server, what kind of API is supported there, and if can 1.4 clients can access those shares?

Yes, you can setup 2.0 server. API is same as it was in 1.4. 1.4 clients can connect there - if they are 1.4.110 or newer.

 

3. Are 1.4 and 2.0 cleints able to talk with eachother at all?

Well... yes. See above. 1.4 is not capable of dealing with 2.0 folders, though.

 

@vladr

Support is loaded now and it takes a while to respond to everyone. The API is supported and working, though it does not cover all new features. If you encounter some issues with it or API documentation - please report and they will be addressed. Note, that help center moved here, don't confuse it with old location.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this